import hfst as hfst

def one_sym_fst(insym, outsym):
  fst = hfst.HfstBasicTransducer()
  fst.add_state(1)
  fst.set_final_weight(1, 0.0)
  tr = hfst.HfstBasicTransition(1, insym, outsym, 0.0)
  fst.add_transition(0, tr)
  return  hfst.HfstTransducer(fst)

fs = one_sym_fst("{aä}", "a")
print(fs)
